Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] main/wpa_supplicant: install sample config to /usr/share/doc/...

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 25 Oct 2015 14:34:22 +0100

---
 main/wpa_supplicant/APKBUILD | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)
diff --git a/main/wpa_supplicant/APKBUILD b/main/wpa_supplicant/APKBUILD
index e827a3a..781c07c 100644
--- a/main/wpa_supplicant/APKBUILD
+++ b/main/wpa_supplicant/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=wpa_supplicant
 pkgver=2.4
-pkgrel=7
+pkgrel=8
 pkgdesc="A utility providing key negotiation for WPA wireless networks"
 url="https://w1.fi/wpa_supplicant/"
 arch="all"
_at_@ -42,10 +42,6 @@ prepare() {
 build() {
 	cd "$_builddir"/wpa_supplicant
 	make LIBDIR=/lib BINDIR=/sbin || return 1
-	# comment out the network={ } stansas in config
-	sed -i	-e '/^network=/,/}/s/^/#/' \
-		-e '/^freq_list/s/^/#/' \
-		wpa_supplicant.conf
 	make wpa_gui-qt4 || return 1
 	make eapol_test || return 1
 }
_at_@ -54,7 +50,7 @@ package() {
 	cd "$_builddir"/wpa_supplicant
 	make DESTDIR="$pkgdir" LIBDIR=/lib BINDIR=/sbin install || return 1
 	install -Dm644 wpa_supplicant.conf \
-		"$pkgdir"/etc/wpa_supplicant/wpa_supplicant.conf || return 1
+		"$pkgdir"/usr/share/doc/wpa_supplicant/examples/wpa_supplicant.conf || return 1
 	install -Dm755 "$srcdir"/wpa_cli.sh \
 		"$pkgdir"/etc/wpa_supplicant/wpa_cli.sh || return 1
 
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Oct 25 2015 - 14:34:22 GMT